%define upstream_name	 Term-ReadLine-Gnu
%define upstream_version 1.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Perl extension for the GNU Readline/History Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(ncurses) >= 5.2
BuildRequires: perl-devel
BuildRequires: readline-devel >= 4.2
Obsoletes:  perl-Term-Readline-Gnu

%{?perl_default_filter}

%description
This is an implementation of the interface to the GNU Readline
Library. This module gives you input line editing facility, input
history management facility, word completion facility, etc. It
uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and
so on with Perl. This may be useful for prototyping before
programming with C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix bogus dependency on /usr/local/bin/perl:
perl -pi -e 's!/usr/local/bin/perl!/usr/bin/perl!g' Gnu/{euc_jp,XS}.pm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build "CFLAGS=%{optflags}"

%check
if [ -n "$DISPLAY" ] ; then
	TERM=linux make test
else
	echo "***************************************************"
	echo " make test not done because DISPLAY var is not set "
	echo "***************************************************"
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml eg
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.460.0-3.mga10
+ Revision: 2088231
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.460.0-2.mga10
+ Revision: 2010504
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 1.460.0-1.mga10
+ Revision: 1981024
- update to 1.46

* Mon Dec 05 2022 tv <tv> 1.450.0-1.mga9
+ Revision: 1918107
- update to 1.45

* Tue Nov 08 2022 tv <tv> 1.440.0-1.mga9
+ Revision: 1904680
- update to 1.44

* Wed Oct 12 2022 tv <tv> 1.430.0-1.mga9
+ Revision: 1896517
- update to 1.43

* Tue Jun 07 2022 umeabot <umeabot> 1.420.0-4.mga9
+ Revision: 1862436
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 1.420.0-3.mga9
+ Revision: 1797862
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.420.0-2.mga9
+ Revision: 1727142
- Rebuild for perl 5.34

* Wed May 12 2021 tv <tv> 1.420.0-1.mga9
+ Revision: 1722594
- update to 1.42

* Tue May 04 2021 tv <tv> 1.410.0-1.mga9
+ Revision: 1721209
- update to 1.41

* Thu Feb 25 2021 tv <tv> 1.400.0-1.mga9
+ Revision: 1690368
- update to 1.40

* Tue Dec 29 2020 tv <tv> 1.370.0-1.mga8
+ Revision: 1664664
- update to 1.37

* Wed Jun 17 2020 umeabot <umeabot> 1.360.0-6.mga8
+ Revision: 1595282
- Rebuild for perl 5.32

* Wed Jun 17 2020 umeabot <umeabot> 1.360.0-5.mga8
+ Revision: 1594747
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 1.360.0-4.mga8
+ Revision: 1542328
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.360.0-3.mga8
+ Revision: 1475999
- rebuild for readline

* Tue Aug 27 2019 tv <tv> 1.360.0-2.mga8
+ Revision: 1433026
- rebuild with perl-5.30

* Mon Jan 14 2019 tv <tv> 1.360.0-1.mga7
+ Revision: 1356712
- update to 1.36

* Fri Sep 21 2018 umeabot <umeabot> 1.350.0-6.mga7
+ Revision: 1293867
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 1.350.0-5.mga7
+ Revision: 1248330
- rebuild for perl 5.28

* Tue Jan 02 2018 wally <wally> 1.350.0-4.mga7
+ Revision: 1189459
- rebuild for new readline

* Tue Oct 03 2017 tv <tv> 1.350.0-3.mga7
+ Revision: 1166704
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.350.0-2.mga7
+ Revision: 1149286
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.350.0-1.mga7
+ Revision: 1127930
- New version 1.35

* Sat Jul 22 2017 neoclust <neoclust> 1.310.0-3.mga7
+ Revision: 1126883
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.310.0-2.mga6
+ Revision: 1033953
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.310.0-1.mga6
+ Revision: 989845
- update to 1.31

* Fri Feb 12 2016 umeabot <umeabot> 1.280.0-2.mga6
+ Revision: 958074
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.280.0-1.mga6
+ Revision: 884816
- update to 1.28

* Sun Sep 06 2015 sander85 <sander85> 1.270.0-1.mga6
+ Revision: 873635
- update to 1.27

* Fri Jun 26 2015 tv <tv> 1.260.0-2.mga6
+ Revision: 845309
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.260.0-1.mga6
+ Revision: 841542
- update to 1.26

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-5.mga5
+ Revision: 747293
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.240.0-4.mga5
+ Revision: 735945
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 686378
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.240.0-2.mga5
+ Revision: 631742
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 1.240.0-1.mga5
+ Revision: 616403
- update to 1.24

* Mon Mar 17 2014 jquelin <jquelin> 1.220.0-1.mga5
+ Revision: 604391
- update to 1.22

* Mon Mar 03 2014 jquelin <jquelin> 1.210.0-1.mga5
+ Revision: 598733
- update to 1.21

* Sat Oct 19 2013 umeabot <umeabot> 1.200.0-10.mga4
+ Revision: 524470
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.200.0-9.mga4
+ Revision: 430968
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.200.0-8.mga4
+ Revision: 429975
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-7.mga3
+ Revision: 373293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.200.0-6.mga3
+ Revision: 251192
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.200.0-5.mga2
+ Revision: 105021
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.200.0-4.mga1
+ Revision: 31246
- mageia rebuild
- imported package perl-Term-ReadLine-Gnu


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.200.0-4mdv2011.0
+ Revision: 564584
- rebuild for perl 5.12.1

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 552641
- update to 1.20

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.0-1mdv2010.1
+ Revision: 408084
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2010.0
+ Revision: 370184
- update to new version 1.19

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.1
+ Revision: 346266
- new version

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 1.17a-2mdv2009.1
+ Revision: 344792
- rebuild for new libreadline

* Fri Aug 29 2008 Olivier Thauvin <nanardon@mandriva.org> 1.17a-1mdv2009.0
+ Revision: 277158
- 1.17a

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.16-7mdv2009.0
+ Revision: 224122
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.16-6mdv2008.1
+ Revision: 151340
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.16-5mdv2008.0
+ Revision: 64782
- rebuild


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:15:16 (54145)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:12:46 (54140)
Import perl-Term-ReadLine-Gnu

* Wed Apr 26 2006 Olivier Thauvin <nanardon@mandriva.org> 1.16-3mdk
- fix obsolete (-GNU != -Gnu)

* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-2mdk
- fix duplication with perl-Term-Readline

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16
- spec cleanup
- fix source URL
- better summary
- %%mkrel

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.14-1mdk
- initial Mandriva package

